<?php

/**************************************
	Load Google Web Fonts
**************************************/
function simplicity_google_fonts() {
	wp_register_style( 'google-fonts', 'http://fonts.googleapis.com/css?family=Stoke|Racing+Sans+One', 'all' );
	wp_enqueue_style( 'google-fonts' );
}
add_action( 'wp_enqueue_scripts', 'simplicity_google_fonts', 5 );

/**********************************
	Content Filters
***********************************/
/* Teaser Lengths */
function simplicity_teaser_content() {
	$theContent = strip_shortcodes(trim(strip_tags(get_the_content())));
		$output = str_replace( '"', '', $theContent);
		$output = str_replace( '\r\n', ' ', $output);
		$output = str_replace( '\n', ' ', $output);
			$limit = of_get_option( 'simplicity_teaser_length' );
			$content = explode(' ', $output, $limit);
			array_pop($content);
		$content = implode(" ",$content)."...";
	return strip_tags($content, '');
}
/*********************************
	Social Sharing Buttins
**********************************/

/* Homepage Social Sharing*/
function simplicity_homepage_social_buttons() {
	if (of_get_option('simplicity_teaser_social') == 'show'){
		global $post;
			$tb_url = get_permalink();
			$fb_url = urlencode(get_permalink());
			$tb_text = get_the_title();
	
	echo '<div class="homeshare"><a href="https://twitter.com/share" class="twitter-share-button" data-url="'.$tb_url.'" data-text="'.$tb_text.'" data-related="itsabhik">Tweet</a><div class="g-plusone" data-size="medium" data-href="'.$tb_url.'"></div><iframe src="//www.facebook.com/plugins/like.php?href='.$fb_url.'&amp;send=false&amp;layout=button_count&amp;width=90&amp;show_faces=false&amp;action=like&amp;colorscheme=light&amp;font&amp;height=20" ></iframe></div>';
		} else {
	echo '<div class="homeshare"></div>';
}
}

/* Single Posts Social Sharing */
function simplicity_single_social_buttons() {
	global $post;
			$tb_url = get_permalink();
			$fb_url = urlencode(get_permalink());
			$tb_text = get_the_title();
			/* $pin_image = urlencode(wp_get_attachment_url(the_post_thumbnail('full'))); */
	
	return '<div class="singleshare"><table><tr><td style="min-width:109px;"><a href="https://twitter.com/share" class="twitter-share-button" data-url="'.$tb_url.'" data-text="'.$tb_text.'" data-related="itsabhik">Tweet</a></td><td style="min-width:109px;"><div class="g-plusone" data-size="medium" data-href="'.$tb_url.'"></div></td><td style="min-width:109px;"><iframe src="//www.facebook.com/plugins/like.php?href='.$fb_url.'&amp;send=false&amp;layout=button_count&amp;width=90&amp;show_faces=false&amp;action=like&amp;colorscheme=light&amp;font&amp;height=20" ></iframe></td><td style="min-width:109px;"><a href="http://pinterest.com/pin/create/button/?url='.$fb_url.'" class="pin-it-button" count-layout="horizontal"><img src="http://assets.pinterest.com/images/PinExt.png" title="Pin It" /></a></td><td style="min-width:109px;"><su:badge layout="2" location="'.$tb_url.'"></su:badge></td></tr></table></div>';
}

/*********************************
	Dismissable Admin Notice
**********************************/
add_action('admin_notices', 'regthumb_notice');
function regthumb_notice() {
    global $current_user ;
        $user_id = $current_user->ID;
        /* Check that the user hasn't already clicked to ignore the message */
    if ( ! get_user_meta($user_id, 'example_ignore_notice') ) {
        echo '<div class="updated"><p>';
        printf(__('Since You Just Installed WP Simplicity, <em><strong>you should regenerate all the thumbnails</strong></em> using <a href="http://wordpress.org/extend/plugins/regenerate-thumbnails/" target="_blank">Regenerate Thumbnails</a> plugin. | <a href="%1$s">Hide Notice</a>'), '?hide_regthumb_notice=0');
        echo "</p></div>";
    }
}
add_action('admin_init', 'hide_regthumb_notice');
function hide_regthumb_notice() {
    global $current_user;
        $user_id = $current_user->ID;
        /* If user clicks to ignore the notice, add that to their user meta */
        if ( isset($_GET['hide_regthumb_notice']) && '0' == $_GET['hide_regthumb_notice'] ) {
             add_user_meta($user_id, 'example_ignore_notice', 'true', true);
    }
}

/* Footer Scripts*/

function simplicity_include_footer_scripts() { ?>
<!-- Facebook JavaScript -->
<div id="fb-root"></div>
<script>(function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) return;
  js = d.createElement(s); js.id = id;
  js.src = "//connect.facebook.net/en_US/all.js#xfbml=1";
  fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script>
<!-- Google+1 JavaScript -->
<script type="text/javascript">
  (function() {
    var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
    po.src = 'https://apis.google.com/js/plusone.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
  })();
</script>
<!-- StumbleUpon Script -->
<script type="text/javascript">
  (function() {
    var li = document.createElement('script'); li.type = 'text/javascript'; li.async = true;
    li.src = ('https:' == document.location.protocol ? 'https:' : 'http:') + '//platform.stumbleupon.com/1/widgets.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(li, s);
  })();
</script>
<!-- pinterest Script -->
<script type="text/javascript">
(function() {
    window.PinIt = window.PinIt || { loaded:false };
    if (window.PinIt.loaded) return;
    window.PinIt.loaded = true;
    function async_load(){
        var s = document.createElement("script");
        s.type = "text/javascript";
        s.async = true;
        s.src = "http://assets.pinterest.com/js/pinit.js";
        var x = document.getElementsByTagName("script")[0];
        x.parentNode.insertBefore(s, x);
    }
    if (window.attachEvent)
        window.attachEvent("onload", async_load);
    else
        window.addEventListener("load", async_load, false);
})();
</script>

<!-- Twitter Button -->
<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src="//platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");</script>

<?php
}
if (of_get_option('simplicity_teaser_social') == 'show' || of_get_option('simplicity_social_buttons') == 'show' ) {
add_action( 'wp_footer', 'simplicity_include_footer_scripts', 100 );
}

/* Tracking Codes */
function simplicity_tracking_code() {
	$tracking = of_get_option('simplicity_stat_tracker');
		return $tracking;
}
if (of_get_option('simplicity_stat_tracker') == '') {
add_action( 'wp_footer', 'simplicity_tracking_code', 5 );
}

/* Generate Comments*/
if ( ! function_exists( 'simplicity_comment' ) ) :
	function simplicity_comment( $comment, $args, $depth ) {
	        $GLOBALS['comment'] = $comment;
	        switch ( $comment->comment_type ) :
	                case 'pingback' :
	                case 'trackback' :
	        ?>
	        <li class="post pingback">
	                <p><?php _e( 'Pingback:', 'iathemes' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __( 'Edit', 'iathemes' ), '<span class="edit-link">', '</span>' ); ?></p>
	        <?php
	                        break;
	                default :
	        ?>
	        <li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
	                <article id="comment-<?php comment_ID(); ?>" class="comment">
	                        <footer class="comment-meta">
	                                <div class="comment-author vcard">
	                                        <?php
	                                                $avatar_size = 50;
	                                                if ( '0' != $comment->comment_parent )
	                                                        $avatar_size = 50;
	
	                                                echo get_avatar( $comment, $avatar_size );
	
	                                                /* translators: 1: comment author, 2: date and time */
	                                                printf( __( '%1$s on %2$s <span class="says">said:</span>', 'iathemes' ),
	                                                        sprintf( '<span class="fn">%s</span>', get_comment_author_link() ),
	                                                        sprintf( '<a href="%1$s"><time pubdate datetime="%2$s">%3$s</time></a>',
	                                                                esc_url( get_comment_link( $comment->comment_ID ) ),
	                                                                get_comment_time( 'c' ),
	                                                                /* translators: 1: date, 2: time */
	                                                                sprintf( __( '%1$s at %2$s', 'iathemes' ), get_comment_date(), get_comment_time() )
	                                                        )
	                                                );
	                                        ?>
	
	                                        <?php edit_comment_link( __( 'Edit', 'iathemes' ), '<span class="edit-link">', '</span>' ); ?>
	                                </div>
	
	                                <?php if ( $comment->comment_approved == '0' ) : ?>
	                                        <em class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.', 'iathemes' ); ?></em>
	                                        <br />
	                                <?php endif; ?>
	
	                        </footer>
	
	                        <div class="comment-content"><?php comment_text(); ?></div>
	
	                        <div class="reply">
	                                <?php comment_reply_link( array_merge( $args, array( 'reply_text' => __( 'Reply <span>&darr;</span>', 'iathemes' ), 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
	                        </div>
	                </article>
	
	        <?php
	                        break;
	        endswitch;
	}
	endif;
?>