<?php
/************************************
Let's Generate Thumbnails First
************************************/

function simplicity_image_setup() {
	add_theme_support( 'post-thumbnails' );
	add_image_size( 'homepage-featured', 640, 213, true );
	add_image_size( 'homepage-recent', 100, 100, true );
}
add_action( 'after_setup_theme', 'simplicity_image_setup' );

function simplicity_enable_choosing_custom_image_sizes( $sizes ) {  
    $custom_sizes = array(  
        'homepage-featured' => 'Featured Image Size'  
    );  
    return array_merge( $sizes, $custom_sizes );  
}
add_filter( 'image_size_names_choose', 'simplicity_enable_choosing_custom_image_sizes' );

/************************************
Let's Get The Featured Image First
************************************/

function simplicity_slideshow_image() {
  global $post, $posts;
  $image = '';
  ob_start();
  ob_end_clean();
  $output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
  if (!empty($output)) {$image = $matches[1][0];} else {
    $image = of_get_option('simplicity_default_ftthumbs');
  }
  return $image;
}

/************************************
The Content Length
************************************/
function simplicity_feature_content_length() {
	$theContent = trim(strip_tags(get_the_content()));
		$output = str_replace( '"', '', $theContent);
		$output = str_replace( '\r\n', ' ', $output);
		$output = str_replace( '\n', ' ', $output);
			$limit = of_get_option( 'simplicity_featured_teaser_length' );
			$content = explode(' ', $output, $limit);
			array_pop($content);
		$content = implode(" ",$content)."...";
	return strip_tags($content, '');
}

/************************************
Create The Slideshow
************************************/

function simplicity_homepage_slideshow() {
	$catid = of_get_option( 'simplicity_featured_category' );
	$nop = of_get_option( 'simplicity_featured_post_limit' );

		$args = array('showposts'=>$nop, 'cat'=>$catid, 'post__not_in' => get_option('sticky_posts'),);
		$slideshow_query = new WP_Query($args); ?>
			<div id="slideshow-container">
				<h3>Featured</h3>
				<div id="slideshow">
					<?php $duplicates = array();
					while ($slideshow_query->have_posts()) : $slideshow_query->the_post(); ?>
						<div class="post-thumbnail">
							<a href="<?php the_permalink(); ?>">
							<?php if ( has_post_thumbnail() ) {	the_post_thumbnail('homepage-featured');} else { ?> <img src="<?php echo of_get_option('simplicity_default_ftthumbs');?>" class="" alt="" width="640" height="213" /> <?php } ?></a>
						<div class="meta">
						<h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
						<p><?php echo simplicity_feature_content_length(); ?></p>
						</div>
						</div>
<?php endwhile; ?>
				</div>
			</div>
<?php } 

/************************************
Deploying Scripts
************************************/
function simplicity_slideshow_js(){
	if(is_admin()) return;
		wp_register_script('cycle', get_template_directory_uri()  . '/lib/js/jquery.cycle.js', array('jquery'), '1.0');
		wp_enqueue_script('slideshow-activate',  get_template_directory_uri()  . '/lib/js/slideshow-activate.js', array('jquery', 'cycle'), '1.0');
}
add_action('wp', 'simplicity_slideshow_js');
?>