<?php
function optionsframework_option_name() {

	// This gets the theme name from the stylesheet
	$themename = get_option( 'stylesheet' );
	$themename = preg_replace("/\W/", "_", strtolower($themename) );

	$optionsframework_settings = get_option( 'optionsframework' );
	$optionsframework_settings['id'] = $themename;
	update_option( 'optionsframework', $optionsframework_settings );
}

function optionsframework_options() {

	// Search Form
	$searcform_display = array(
		'show' => __('Show', 'iathemes'),
		'hide' => __('Hide', 'iathemes'),
	);
	
	// Featured Section
	$featured_display = array(
		'show' => __('Show', 'iathemes'),
		'hide' => __('Hide', 'iathemes'),
	);

	// Featured Category
	$featured_categories = array();
	$featured_categories_obj = get_categories();
	foreach ($featured_categories_obj as $category) {
		$featured_categories[$category->cat_ID] = $category->cat_name;
	}
	
	// Social Icons on Homepage
	$homepagesocial_display = array(
	'show' => __('Show', 'iathemes'),
	'hide' => __('Hide', 'iathemes'),
	);
	
	// Social Icons on Single Posts
	$singlesocial_display = array(
	'show' => __('Show', 'iathemes'),
	'hide' => __('Hide', 'iathemes'),
	);
	
	// Author Box on Single Posts
	$authorbox_display = array(
	'show' => __('Show', 'iathemes'),
	'hide' => __('Hide', 'iathemes'),
	);
	
	// Author Box Position on Single Posts
	$authorbox_position = array(
	'above' => __('Above Post', 'iathemes'),
	'below' => __('Below Post', 'iathemes'),
	);	

	// Top Widget
	$topwidget_display = array(
	'show' => __('Show', 'iathemes'),
	'hide' => __('Hide', 'iathemes'),
	);
	
	
	// After Post Widget
	$postwidget_display = array(
	'show' => __('Show', 'iathemes'),
	'hide' => __('Hide', 'iathemes'),
	);
	
	
	// Footer Widget
	$footerwidget_display = array(
	'show' => __('Show', 'iathemes'),
	'hide' => __('Hide', 'iathemes'),
	);
	
	// Opengraph
	$ogenable = array(
	'enabled' => __('Enabled', 'iathemes'),
	'disabled' => __('Disabled', 'iathemes'),
	);
	
	// Opengraph Language
	$oglocale = array(
	'en_US' => __('US English', 'iathemes'),
	'en_GB' => __('UK English', 'iathemes'),
	);

	$smallthumbdefault = get_template_directory_uri() . '/images/misc/100x100.png';
	$featuredthumbdefault = get_template_directory_uri() . '/images/misc/640x213.png';
/////// Simplicity Options Setup End //////////////

/////// Simplicity Construct Options Start //////////////

	// General Settings
	$options[] = array(
		'name' => __('General Settings', 'iathemes'),
		'type' => 'heading');

	$options[] = array(
		'name' => __('Display Search Form?', 'iathemes'),
		'desc' => __('Displays the Search Form right to the Categories Menu', 'iathemes'),
		'id' => 'simplicity_showsearchform',
		'type' => 'select',
		'std' => 'show',
		'options' => $searcform_display);
		
	$options[] = array(
		'name' => __('Use a Image Logo?', 'iathemes'),
		'desc' => __('Use a Image Logo Instead of Default Text Logo.', 'iathemes'),
		'id' => 'simplicity_imagelogo',
		'type' => 'checkbox');
		
	$options[] = array(
		'name' => __('Upload a Logo', 'iathemes'),
		'desc' => __('Should be exactly 300x50 pixels', 'iathemes'),
		'id' => 'simplicity_logo_uploader',
		'class' => 'hidden',
		'type' => 'upload');

	// Homepage Settings
	$options[] = array(
		'name' => __('Homepage', 'iathemes'),
		'type' => 'heading');
		
	$options[] = array(
		'name' => __('Show Featured Posts Slideshow?', 'iathemes'),
		'desc' => __('Displays the Featured Posts Slideshow on Homepage', 'iathemes'),
		'id' => 'simplicity_featured_section',
		'type' => 'select',
		'std' => 'show',
		'options' => $featured_display);
		
	$options[] = array(
		'name' => __('Featured Posts Category', 'iathemes'),
		'desc' => __('Select a Category for your Featured Posts.', 'iathemes'),
		'id' => 'simplicity_featured_category',
		'type' => 'select',
		'options' => $featured_categories);

	$options[] = array(
		'name' => __('Number of Featured Posts', 'iathemes'),
		'desc' => __('Enter the Number of Featured Posts You Want To Slide', 'iathemes'),
		'id' => 'simplicity_featured_post_limit',
		'std' => '5',
		'class' => 'mini',
		'type' => 'text');

	$options[] = array(
		'name' => __('Featured Excerpt Length', 'iathemes'),
		'desc' => __('Enter the Number of Words You want in Featured Posts Slideshow Excerpt ', 'iathemes'),
		'id' => 'simplicity_featured_teaser_length',
		'std' => '25',
		'class' => 'mini',
		'type' => 'text');		

	$options[] = array(
		'name' => __('Default Featured Image', 'iathemes'),
		'desc' => __('Enter The URL Of Your Default Slideshow Image. (Will Be Used if NO Image Found In Post. Must be 640x213 pixels.)', 'iathemes'),
		'id' => 'simplicity_default_ftthumbs',
		'std' => $featuredthumbdefault,
		'type' => 'text');	

	$options[] = array(
		'name' => __('Number of Latest Posts', 'iathemes'),
		'desc' => __('Enter the Number of Latest Posts for Homepage', 'iathemes'),
		'id' => 'simplicity_latest_post_number',
		'std' => '5',
		'class' => 'mini',
		'type' => 'text');		
		
	$options[] = array(
		'name' => __('Latest Posts Excerpt Length', 'iathemes'),
		'desc' => __('Enter the Number of Words You want in Latest Posts Excerpt ', 'iathemes'),
		'id' => 'simplicity_teaser_length',
		'std' => '50',
		'class' => 'mini',
		'type' => 'text');	

	$options[] = array(
		'name' => __('Default Image', 'iathemes'),
		'desc' => __('Enter The URL Of Your Default Thumbnail Image. (Will Be Used if NO Image Found In Post. Must be 100x100 pixels.)', 'iathemes'),
		'id' => 'simplicity_default_hpthumb',
		'std' => $smallthumbdefault,
		'type' => 'text');	
		
	$options[] = array(
		'name' => __('Show Social Buttons?', 'iathemes'),
		'desc' => __('Displays the Social Sharing Buttons on Latest Posts', 'iathemes'),
		'id' => 'simplicity_teaser_social',
		'type' => 'select',
		'std' => 'hide',
		'options' => $homepagesocial_display);
		
	
	// Single Posts Settings
	$options[] = array(
		'name' => __('Single Posts', 'iathemes'),
		'type' => 'heading');
		
	$options[] = array(
		'name' => __('Show Social Buttons?', 'iathemes'),
		'desc' => __('Displays the Social Sharing Buttons on Single Posts', 'iathemes'),
		'id' => 'simplicity_social_buttons',
		'type' => 'select',
		'std' => 'show',
		'options' => $singlesocial_display);
		
	$options[] = array(
		'name' => __('Show Author Box?', 'iathemes'),
		'desc' => __('Displays the Author Box on Single Posts', 'iathemes'),
		'id' => 'simplicity_author_box',
		'type' => 'select',
		'std' => 'show',
		'options' => $authorbox_display);
		
	$options[] = array(
		'name' => __('Author Box Position', 'iathemes'),
		'desc' => __('Wheather to Show The Box Before or After Post', 'iathemes'),
		'id' => 'simplicity_author_box_position',
		'type' => 'select',
		'std' => 'below',
		'options' => $authorbox_position);
		
	$options[] = array(
		'name' => __('Post Meta', 'iathemes'),
		'desc' => __('Show Posted By, Post Date and Time Meta Details?', 'iathemes'),
		'id' => 'simplicity_single_postmeta',
		'std' => '1',
		'type' => 'checkbox');
		
	$options[] = array(
		'name' => __('Posted Under Box', 'iathemes'),
		'desc' => __('Show Posted Under (Category) Box in single posts?', 'iathemes'),
		'id' => 'simplicity_single_category',
		'std' => '1',
		'type' => 'checkbox');
		
	$options[] = array(
		'name' => __('Tagged With Box', 'iathemes'),
		'desc' => __('Show Tagged With (Tags) Box in single posts?', 'iathemes'),
		'id' => 'simplicity_single_tag',
		'std' => '1',
		'type' => 'checkbox');

	// Footer Settings
	$options[] = array(
		'name' => __('Footer', 'iathemes'),
		'type' => 'heading');
		
	$options[] = array(
		'name' => __('Copyright', 'iathemes'),
		'desc' => __('Enter Your Copyright Text (HTML Allowed)', 'iathemes'),
		'id' => 'simplicity_copyright_text',
		'std' => '',
		'type' => 'textarea');
	
	$options[] = array(
		'name' => __('Tracking Code', 'iathemes'),
		'desc' => __('Enter Your Stats Tracking Code (Like Adwords or Statcounter)', 'iathemes'),
		'id' => 'simplicity_stat_tracker',
		'std' => '',
		'type' => 'textarea');
		
	// Widgets Settings
	$options[] = array(
		'name' => __('Widgets', 'iathemes'),
		'type' => 'heading');

	$options[] = array(
		'name' => __('Show Top Widget?', 'iathemes'),
		'desc' => __('Displays the Top Widget Globally', 'iathemes'),
		'id' => 'simplicity_top_widget',
		'type' => 'select',
		'std' => 'hide',
		'options' => $topwidget_display);

	$options[] = array(
		'name' => __('Show After Post Widget?', 'iathemes'),
		'desc' => __('Displays the After Post Widget in Single Posts', 'iathemes'),
		'id' => 'simplicity_after_post_widget',
		'type' => 'select',
		'std' => 'hide',
		'options' => $postwidget_display);	

	$options[] = array(
		'name' => __('Show Footer Widget?', 'iathemes'),
		'desc' => __('Displays the Footer Widget Globally', 'iathemes'),
		'id' => 'simplicity_footer_widget',
		'type' => 'select',
		'std' => 'hide',
		'options' => $footerwidget_display);	


	// OpenGraph Settings
	$options[] = array(
		'name' => __('OpenGrapg', 'iathemes'),
		'type' => 'heading');	

	$options[] = array(
		'name' => __('Enable Opengraph Protocol', 'iathemes'),
		'desc' => __('Enable Opengraph Protocol for a better Social Sharing?', 'iathemes'),
		'id' => 'simplicity_ogenable',
		'type' => 'select',
		'std' => 'enabled',
		'options' => $ogenable);	
		
	$options[] = array(
		'name' => __('Facebook AppID', 'iathemes'),
		'desc' => __('Your Facebook App ID. If you don\'t have, <a href="https://developers.facebook.com/apps" target="_blank" rel="nofollow">create one</a>.', 'iathemes'),
		'id' => 'simplicity_ogappid',
		'std' => '',
		'class' => 'mini',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Default Thumbnail URL', 'iathemes'),
		'desc' => __('The URL to your default sharing thumbnail. Will Be used if No image is found on the post', 'iathemes'),
		'id' => 'simplicity_ogthumb',
		'std' => $smallthumbdefault,
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Blog Language', 'iathemes'),
		'desc' => __('Your Blog Language', 'iathemes'),
		'id' => 'simplicity_oglocale',
		'type' => 'select',
		'std' => 'en_US',
		'options' => $oglocale);
		
	$options[] = array(
		'name' => __('Description Length', 'iathemes'),
		'desc' => __('(Number of Words you want as description)', 'iathemes'),
		'id' => 'simplicity_oglimit',
		'std' => '25',
		'class' => 'mini',
		'type' => 'text');
		
/////// Simplicity Construct Options End //////////////
/////// Simplicity Construct Options End //////////////
/////// Simplicity Construct Options End //////////////
/////// Simplicity Construct Options End //////////////

	return $options;
}

add_action('optionsframework_custom_scripts', 'simplicity_hide_logo_upload');

function simplicity_hide_logo_upload() { ?>

<script type="text/javascript">
jQuery(document).ready(function($) {

	$('#simplicity_imagelogo').click(function() {
  		$('#section-simplicity_logo_uploader').fadeToggle(400);
	});

	if ($('#simplicity_imagelogo:checked').val() !== undefined) {
		$('#section-simplicity_logo_uploader').show();
	}

});
</script>

<?php } ?>